info.bioinfweb.jphyloio.dataadapters.implementations

## Class NoCharDefsNoSetsMatrixDataAdapter

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.EmptyAnnotatedDataAdapter<LinkedLabeledIDEvent>
  - - info.bioinfweb.jphyloio.dataadapters.implementations.NoCharDefsNoSetsMatrixDataAdapter

- All Implemented Interfaces:
    AnnotatedDataAdapter, ElementDataAdapter<LinkedLabeledIDEvent>, MatrixDataAdapter

      public abstract class NoCharDefsNoSetsMatrixDataAdapter
      extends EmptyAnnotatedDataAdapter<LinkedLabeledIDEvent>
      implements MatrixDataAdapter

  Abstract implementation of `MatrixDataAdapter`, which returns empty object list adapters for `getCharacterDefinitions(ReadWriteParameterMap)`, `getTokenSets(ReadWriteParameterMap)`, `getSequenceSets(ReadWriteParameterMap)`, `getCharacterSets(ReadWriteParameterMap)`. Additionally an empty implementation of `EmptyAnnotatedDataAdapter.writeMetadata(ReadWriteParameterMap, info.bioinfweb.jphyloio.dataadapters.JPhyloIOEventReceiver)` is inherited.

  Application adapters that do not provide any token, sequence or character sets can be inherited from this class.

  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoCharDefsNoSetsMatrixDataAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectListDataAdapter<CharacterDefinitionEvent>` | `getCharacterDefinitions(ReadWriteParameterMap parameters)` Default implementation that always returns an empty object list adapter.
    `ObjectListDataAdapter<LinkedLabeledIDEvent>` | `getCharacterSets(ReadWriteParameterMap parameters)` Default implementation that always returns an empty object list adapter
    `ObjectListDataAdapter<LinkedLabeledIDEvent>` | `getSequenceSets(ReadWriteParameterMap parameters)` Default implementation that always returns an empty object list adapter.
    `ObjectListDataAdapter<TokenSetDefinitionEvent>` | `getTokenSets(ReadWriteParameterMap parameters)` Default implementation that always returns an empty object list adapter.

    - ### Methods inherited from class info.bioinfweb.jphyloio.dataadapters.implementations.EmptyAnnotatedDataAdapter

      `writeMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.MatrixDataAdapter

      `containsLongTokens, getColumnCount, getSequenceCount, getSequenceIDIterator, getSequenceLength, getSequenceStartEvent, writeSequencePartContentData`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.ElementDataAdapter

      `getStartEvent`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.AnnotatedDataAdapter

      `writeMetadata`

- - ### Constructor Detail

    - #### NoCharDefsNoSetsMatrixDataAdapter

          public NoCharDefsNoSetsMatrixDataAdapter()

  - ### Method Detail

    - #### getCharacterDefinitions

          public ObjectListDataAdapter<CharacterDefinitionEvent> getCharacterDefinitions(ReadWriteParameterMap parameters)

      Default implementation that always returns an empty object list adapter.
      Specified by:
        `getCharacterDefinitions` in interface `MatrixDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a shared instance of `EmptyObjectListDataAdapter`
      See Also:
        `MatrixDataAdapter.getCharacterDefinitions(ReadWriteParameterMap)`

    - #### getSequenceSets

          public ObjectListDataAdapter<LinkedLabeledIDEvent> getSequenceSets(ReadWriteParameterMap parameters)

      Default implementation that always returns an empty object list adapter.
      Specified by:
        `getSequenceSets` in interface `MatrixDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a shared instance of `EmptyObjectListDataAdapter`
      See Also:
        `MatrixDataAdapter.getTokenSets(ReadWriteParameterMap)`

    - #### getTokenSets

          public ObjectListDataAdapter<TokenSetDefinitionEvent> getTokenSets(ReadWriteParameterMap parameters)

      Default implementation that always returns an empty object list adapter.
      Specified by:
        `getTokenSets` in interface `MatrixDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a shared instance of `EmptyObjectListDataAdapter`
      See Also:
        `MatrixDataAdapter.getTokenSets(ReadWriteParameterMap)`

    - #### getCharacterSets

          public ObjectListDataAdapter<LinkedLabeledIDEvent> getCharacterSets(ReadWriteParameterMap parameters)

      Default implementation that always returns an empty object list adapter
      Specified by:
        `getCharacterSets` in interface `MatrixDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a shared instance of `EmptyObjectListDataAdapter`
      See Also:
        `MatrixDataAdapter.getCharacterSets(ReadWriteParameterMap)`